View Issue Details

IDProjectCategoryView StatusLast Update
0000498Far Manager 1.7xSettingspublic2008-06-09 03:09
ReporteralexyAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000498: Screen scrolling arrows colors for Menu/Listbox/Combobox
DescriptionТак как в Меню, Листбоксе и Комбобоксе есть стрелки прокрутки то у каждого из них должна быть своя настройка цвета этих стрелок.
TagsNo tags attached.
Build2335

Activities

vskirdin

2008-03-17 08:53

administrator   bugnote:0001359

Как в farlang обозвать по русски пункты, связанные с '<'/'>'?

MSetColorDialogListArrow
"????????"
"Arrow"

MSetColorDialogListArrowSelected
"????????"
"Selected arrow"

vskirdin

2008-03-17 15:31

administrator   bugnote:0001360

1.80 ==> 452
1.7x ==> 2334

alexy

2008-03-17 16:55

administrator   bugnote:0001362

1. Для истории в эдитах (CtrlDown) стрелки берут цвет меню а не комбо бокса ("настоящие" комбы не проверял).
2. Я тут ещё подумал, надо же ещё дать настройку цветов для Disabled пунктов.

DrKnS

2008-03-17 17:12

administrator   bugnote:0001364

"Screen scrolling arrows"/"Стрелки сдвига экрана"

А почему screen? Мы же не весь экран двигаем, как во вьювере.

Тут более уместно item (или line, или string).

alexy

2008-03-17 17:34

administrator   bugnote:0001365

Ну въвер тоже может быть не на весь экран (CtrlQ). Видимо лучше всего подойдёт Horizontal scrolling arrows. Но в общем даже само название "стрелки сдвига" не подходит ибо они же нефига не сдвигают и нажать на них незя они тока помечают что дальше есть ещё текст. Т.е. их тогда надо назвать "пометка длинных строк" или что то в этом роде.

vskirdin

2008-03-18 04:23

administrator   bugnote:0001368

> Для истории в эдитах (CtrlDown) стрелки берут цвет меню а не комбо бокса
dialog.cpp::Dialog::InitDialogObjects
В CurItem->ListPtr=new VMenu добавить флаг VMENU_COMBOBOX, хотя...
он есть ниже по тексту
ListPtr->SetFlags(VMENU_COMBOBOX);

dialog.cpp::Dialog::SelectFromEditHistory
В VMenu HistoryMenu добавить флаг VMENU_COMBOBOX, хотя...
хмм... а список истрории это вроде тоже как кобобокс?

> Я тут ещё подумал, надо же ещё дать настройку цветов для Disabled пунктов.
Хмм... на всякий случай? 8-)

> "пометка длинных строк"

"Индикаторы длинных строк"
"Выбранные индикаторы длинных строк"
?

alexy

2008-03-18 10:58

administrator   bugnote:0001372

Да, индикаторы вроде как раз подходит

vskirdin

2008-03-19 05:49

administrator   bugnote:0001375

Ну а по "ангельски" это как будет?

"Индикаторы длинных строк"
"Выбранные индикаторы длинных строк"
"Блокированные индикаторы длинных строк"

Denis

2008-03-19 06:01

reporter   bugnote:0001376

"Индикаторы длинных строк" "Long string indicators"
"Выбранные индикаторы длинных строк" "Selected long string indicators"
"Блокированные индикаторы длинных строк" "Disabled long string indicators"

HaRT

2008-03-19 13:26

reporter   bugnote:0001377

Предлагаю "индикаторы отсечения"/ "truncation indicators"

vskirdin

2008-03-20 11:59

administrator   bugnote:0001378

А почему "отсечения"? вроде мы ничего не отсекаем, а только показываем по мере возможности (прокрутить то мы можем)

Denis

2008-03-20 12:12

reporter   bugnote:0001379

И ещё как вариант scroll string indicators.

vskirdin

2008-03-20 12:21

administrator   bugnote:0001380

1.7 ==> 2335
1.8 ==> 453

alexy

2008-03-23 03:51

administrator   bugnote:0001409

Ну тогда уже за одно и в цветах въювера надо это переименовать.

Issue History

Date Modified Username Field Change
2008-03-16 18:34 alexy New Issue
2008-03-16 18:34 alexy Status new => assigned
2008-03-16 18:34 alexy Assigned To => vskirdin
2008-03-17 08:53 vskirdin Note Added: 0001359
2008-03-17 15:31 vskirdin Note Added: 0001360
2008-03-17 15:31 vskirdin Status assigned => feedback
2008-03-17 16:55 alexy Note Added: 0001362
2008-03-17 16:55 alexy Status feedback => assigned
2008-03-17 17:12 DrKnS Note Added: 0001364
2008-03-17 17:34 alexy Note Added: 0001365
2008-03-18 04:23 vskirdin Note Added: 0001368
2008-03-18 10:58 alexy Note Added: 0001372
2008-03-19 05:49 vskirdin Note Added: 0001375
2008-03-19 06:01 Denis Note Added: 0001376
2008-03-19 13:26 HaRT Note Added: 0001377
2008-03-20 11:59 vskirdin Note Added: 0001378
2008-03-20 12:12 Denis Note Added: 0001379
2008-03-20 12:21 vskirdin Note Added: 0001380
2008-03-20 12:21 vskirdin Status assigned => feedback
2008-03-23 03:51 alexy Note Added: 0001409
2008-06-09 03:08 alexy Build => 2335
2008-06-09 03:08 alexy Status feedback => closed
2008-06-09 03:09 alexy Resolution open => fixed
2008-06-09 03:09 alexy Fixed in Version => 1.71